50
5 5
nice 1 1
nice 1 1
nice 1 1
nice 1 1
nice 1 1
5 5
nice 1 4
nice 1 4
nice 1 4
nice 1 4
nice 1 4
5 5
naughty 4 1 2 4 5
naughty 4 1 2 4 5
naughty 4 1 2 4 5
naughty 4 1 2 4 5
naughty 4 1 2 4 5
4 2
nice 3 2 3 4
nice 2 1 2
5 2
nice 3 1 2 3
naughty 4 1 3 4 5
4 4
nice 3 1 2 3
nice 2 1 4
nice 3 2 3 4
naughty 2 1 3
2 4
naughty 1 2
nice 1 1
nice 1 1
naughty 1 1
5 3
naughty 3 2 3 5
nice 1 3
naughty 2 2 4
4 2
nice 3 1 2 4
nice 3 1 3 4
4 3
naughty 2 1 4
naughty 1 4
nice 2 3 4
2 2
nice 1 2
naughty 1 2
3 4
nice 2 2 3
naughty 1 2
naughty 2 2 3
nice 1 2
5 2
naughty 2 3 4
naughty 3 2 3 4
4 3
nice 2 1 4
nice 1 3
naughty 3 1 2 3
3 3
nice 2 1 2
naughty 2 1 3
naughty 2 2 3
4 4
naughty 3 1 2 4
nice 2 1 2
nice 2 1 4
nice 2 3 4
2 2
naughty 1 2
nice 1 2
4 3
nice 2 3 4
naughty 2 1 4
nice 1 2
3 5
naughty 2 1 3
naughty 2 1 2
nice 2 1 2
nice 2 2 3
naughty 2 1 3
4 2
nice 1 4
nice 3 1 3 4
2 2
nice 1 1
nice 1 2
5 3
naughty 2 1 5
nice 4 1 2 4 5
naughty 4 1 3 4 5
5 2
nice 3 1 4 5
nice 3 1 2 5
2 4
naughty 1 1
naughty 1 1
naughty 1 2
nice 1 1
3 2
naughty 1 2
nice 2 1 2
5 5
naughty 2 1 3
naughty 2 2 5
nice 2 1 4
naughty 4 1 2 3 5
naughty 2 1 3
2 5
naughty 1 2
naughty 1 1
nice 1 2
naughty 1 2
nice 1 1
4 2
naughty 2 1 4
nice 1 4
2 4
naughty 1 1
nice 1 2
nice 1 1
naughty 1 1
2 4
naughty 1 2
naughty 1 2
nice 1 2
nice 1 2
5 4
nice 3 1 3 4
naughty 1 5
naughty 2 1 3
nice 1 1
2 2
nice 1 1
naughty 1 1
5 5
naughty 1 3
naughty 4 1 3 4 5
nice 3 1 4 5
nice 1 1
naughty 1 1
2 2
nice 1 1
nice 1 1
2 4
nice 1 1
naughty 1 2
naughty 1 1
naughty 1 1
3 2
nice 1 3
nice 1 1
2 2
nice 1 2
nice 1 1
4 2
nice 2 3 4
naughty 2 2 3
4 5
naughty 2 1 4
nice 3 2 3 4
nice 3 1 2 3
nice 1 1
nice 1 2
5 4
naughty 3 1 2 5
nice 3 1 4 5
nice 3 1 2 5
nice 2 1 2
4 5
naughty 1 4
naughty 3 1 2 4
naughty 2 2 3
naughty 1 2
naughty 3 1 2 3
3 3
naughty 1 3
nice 2 1 2
naughty 2 1 3
2 4
nice 1 1
nice 1 1
naughty 1 1
nice 1 1
5 5
naughty 3 1 2 4
naughty 3 1 2 4
nice 1 3
nice 3 1 2 5
naughty 1 4
4 3
nice 1 1
nice 2 1 2
naughty 1 2
5 3
nice 2 1 2
naughty 2 2 3
nice 2 1 5
5 2
nice 4 1 2 3 5
naughty 2 2 4
5 2
naughty 2 3 5
naughty 1 5
4 3
nice 3 1 2 4
naughty 2 3 4
nice 2 1 2
3 5
naughty 2 1 3
nice 2 1 3
nice 2 1 3
naughty 2 1 3
nice 2 1 2
